# Create a Dispute Case
source: https://developer.mastercard.com/mastercard-processing-dispute/documentation/use-cases/create-dispute-case/index.md

## Overview {#overview}

This use case describes the process where a cardholder disputes a transaction in the mobile application or e-banking service.
Note: The case is always created for the entire transaction amount. Refer to [Change a Trusted Amount](https://developer.mastercard.com/mastercard-processing-dispute/documentation/use-cases/change-trusted-amount/index.md) for more information about the process where a cardholder disputes a part of the transaction amount.

## Sequence diagram {#sequence-diagram}

Diagram create-dispute-case

### Explanation {#explanation}

1. The cardholder browses their transactions and decides to dispute one of the transactions that they do not recognize.
2. The mobile application or e-banking service sends the request to create a dispute case to the server.
3. The server sends a `POST` request to the `/cases` endpoint by passing the following mandatory fields in the request body:
   * `financialDocumentId` -- with the value representing the identifier of the disputed transaction stored in the Mastercard Processing CMS.
   * `reasonCode` -- with the value reflecting the nature of the transaction dispute.
4. The API sends a response to the server, confirming that the case has been created in the CMS (DAM). The CMS generates a unique `caseId` and returns it to the server.
5. The server sends a response to the mobile application or e-banking service confirming that a dispute case has been created.
6. The mobile application or e-banking service notifies the cardholder that the case has been created. In the next steps, your Dispute team analyzes the request in DAM and initiates the chargeback process in the scheme network.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-dispute/documentation/sandbox-testing/index.md) for more information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `POST /cases`

